### Method

# Gtk AlertDialog show

unstable since: 4.10

#### Declaration [src]

    void
    gtk_alert_dialog_show (
      GtkAlertDialog* self,
      GtkWindow* parent
    )

#### Description [src]

This function shows the alert to the user.

If the alert has more than one button, you should use `gtk_alert_dialog_choose()` instead and provide a callback that can react to the button that was clicked.

Available since: 4.10

#### Parameters

`parent`

  Type: `GtkWindow`

  The parent `GtkWindow`

  The argument can be `NULL`.
  The data is owned by the caller of the function.